<?php

/**
*author: Daniel Quilon Gonzalez
*version: 11-oct-2011
**/

/**Creates a form  to load a different rdf file**/

function ideastream_recommender_admin_import() {
	$form = array();

	$dafault_ideas_file= $GLOBALS['base_url'] . '/'. drupal_get_path('module', 'ideastream_recommender') . '/xmlLoader/etsit_ideas_example.rdf';
	$dafault_talent_file= $GLOBALS['base_url'] . '/'. drupal_get_path('module', 'ideastream_recommender') . '/xmlLoader/talent_management_v1_extended.rdf';
	
	$current_ideas_source=variable_get('ideas_file_name',$dafault_ideas_file);
	$current_talents_source=variable_get('talents_file_name',$dafault_talent_file);
		
	$form['ideas'] = array(
		'#type' => 'textfield',
		'#title' => t('Ideas URL'),
   	'#size' => 100,
		'#description' => t('Current ideas URL: <b>'.$current_ideas_source.'</b>'),
	 );

	$form['talents'] = array(
		'#type' => 'textfield',
		'#title' => t('Talents URL'),
   	'#size' => 100,
		'#description' => t('Current talents URL: <b>'.$current_talents_source.'</b>'),
	 );

	$form['submit'] = array(
	 	'#type' => 'submit', 
		'#value' => t('submit'),
	);
	return $form;
}


/** Form on submit action logic **/
function ideastream_recommender_admin_import_submit($form, &$form_state) {
	if ($form_state['values']['ideas'] != '') { 
		variable_set('ideas_file_name',$form_state['values']['ideas']);	  	
		if(valid_url($form_state['values']['ideas'],TRUE)){
			drupal_set_message(t('Ideas RDF/XML source file changed to: '.$form_state['values']['ideas']));
		}else{
			drupal_set_message(t('invalid ideas URL'));
		}			
	}

	if ($form_state['values']['talents'] != '') { 
	  	variable_set('talents_file_name',$form_state['values']['talents']);
		if(valid_url($form_state['values']['talents'],TRUE)){
	  		drupal_set_message(t('Talents RDF/XML source file changed to: '.$form_state['values']['talents']));
		}else{
			drupal_set_message(t('invalid talents URL'));
		}		
	}
	
	if(($form_state['values']['ideas'] == '') || ($form_state['values']['talents'] == '')){
		drupal_set_message(t('Namespace and URI cannot be blank fields'));
	}	
    // Redirect to the rdfme module settings
  $form_state['redirect'] = 'admin/settings/ideastream_recommender';
}

